package com.hzya.frame.plugin.lets.u8cdto;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.u8cdto
 * @Project：kangarooDataCenter
 * @name：SoSaleResultBodyDto
 * @Date：2024/3/26 08:49
 * @Filename：SoSaleResultBodyDto
 */
public class SoSaleResultBodyDto {
    private String cinventoryid;
    private String inventory_code;
    private String inventory_name;
    private String invspec;
    private String nnumber;
    private String noriginalcursummny;
    private String cunitid;
    private String unit_code;
    private String unit_name;
    private String creceiptcorpid;
    private String receiptcorp_code;
    private String receiptcorp_name;
    private String blargessflag;
    private String noriginalcurprice;
    private String crowno;
    private String ntaxrate;
    private String noriginalcurtaxprice;
    private String noriginalcurmny;
    private String noriginalcurtaxmny;
    private String ndiscountrate;
    private String nitemdiscountrate;
    private String noriginalcurnetprice;
    private String noriginalcurtaxnetprice;
    private String noriginalcurdiscountmny;
    private String dconsigndate;
    private String ddeliverdate;
    private String vdef18;
    private String vdef19;
    private String vdef20;
    private String cquoteunitid;
    private String cquoteunit_code;
    private String cquoteunit_name;
    private String csaleid;
    private String corder_bid;
    private String creccalbodyid;
    private String reccalbody_code;
    private String reccalbody_name;
    private String crecwareid;
    private String recware_code;
    private String recware_name;
    private String nexchangeotobrate;
    private String ccurrencytypeid;
    private String ccurrencyid_code;
    private String ccurrencyid_name;
    private String cinvbasdocid;
    private String cadvisecalbodyid;
    private String advisecalbody_code;
    private String advisecalbody_name;
    private String cbodywarehouseid;
    private String warehouse_code;
    private String warehouse_name;
    private String cconsigncorpid;
    private String consigncorp_code;
    private String consigncorp_name;

    public String getCinventoryid() {
        return cinventoryid;
    }

    public void setCinventoryid(String cinventoryid) {
        this.cinventoryid = cinventoryid;
    }

    public String getInventory_code() {
        return inventory_code;
    }

    public void setInventory_code(String inventory_code) {
        this.inventory_code = inventory_code;
    }

    public String getInventory_name() {
        return inventory_name;
    }

    public void setInventory_name(String inventory_name) {
        this.inventory_name = inventory_name;
    }

    public String getInvspec() {
        return invspec;
    }

    public void setInvspec(String invspec) {
        this.invspec = invspec;
    }

    public String getNnumber() {
        return nnumber;
    }

    public void setNnumber(String nnumber) {
        this.nnumber = nnumber;
    }

    public String getNoriginalcursummny() {
        return noriginalcursummny;
    }

    public void setNoriginalcursummny(String noriginalcursummny) {
        this.noriginalcursummny = noriginalcursummny;
    }

    public String getCunitid() {
        return cunitid;
    }

    public void setCunitid(String cunitid) {
        this.cunitid = cunitid;
    }

    public String getUnit_code() {
        return unit_code;
    }

    public void setUnit_code(String unit_code) {
        this.unit_code = unit_code;
    }

    public String getUnit_name() {
        return unit_name;
    }

    public void setUnit_name(String unit_name) {
        this.unit_name = unit_name;
    }

    public String getCreceiptcorpid() {
        return creceiptcorpid;
    }

    public void setCreceiptcorpid(String creceiptcorpid) {
        this.creceiptcorpid = creceiptcorpid;
    }

    public String getReceiptcorp_code() {
        return receiptcorp_code;
    }

    public void setReceiptcorp_code(String receiptcorp_code) {
        this.receiptcorp_code = receiptcorp_code;
    }

    public String getReceiptcorp_name() {
        return receiptcorp_name;
    }

    public void setReceiptcorp_name(String receiptcorp_name) {
        this.receiptcorp_name = receiptcorp_name;
    }

    public String getBlargessflag() {
        return blargessflag;
    }

    public void setBlargessflag(String blargessflag) {
        this.blargessflag = blargessflag;
    }

    public String getNoriginalcurprice() {
        return noriginalcurprice;
    }

    public void setNoriginalcurprice(String noriginalcurprice) {
        this.noriginalcurprice = noriginalcurprice;
    }

    public String getCrowno() {
        return crowno;
    }

    public void setCrowno(String crowno) {
        this.crowno = crowno;
    }

    public String getNtaxrate() {
        return ntaxrate;
    }

    public void setNtaxrate(String ntaxrate) {
        this.ntaxrate = ntaxrate;
    }

    public String getNoriginalcurtaxprice() {
        return noriginalcurtaxprice;
    }

    public void setNoriginalcurtaxprice(String noriginalcurtaxprice) {
        this.noriginalcurtaxprice = noriginalcurtaxprice;
    }

    public String getNoriginalcurmny() {
        return noriginalcurmny;
    }

    public void setNoriginalcurmny(String noriginalcurmny) {
        this.noriginalcurmny = noriginalcurmny;
    }

    public String getNoriginalcurtaxmny() {
        return noriginalcurtaxmny;
    }

    public void setNoriginalcurtaxmny(String noriginalcurtaxmny) {
        this.noriginalcurtaxmny = noriginalcurtaxmny;
    }

    public String getNdiscountrate() {
        return ndiscountrate;
    }

    public void setNdiscountrate(String ndiscountrate) {
        this.ndiscountrate = ndiscountrate;
    }

    public String getNitemdiscountrate() {
        return nitemdiscountrate;
    }

    public void setNitemdiscountrate(String nitemdiscountrate) {
        this.nitemdiscountrate = nitemdiscountrate;
    }

    public String getNoriginalcurnetprice() {
        return noriginalcurnetprice;
    }

    public void setNoriginalcurnetprice(String noriginalcurnetprice) {
        this.noriginalcurnetprice = noriginalcurnetprice;
    }

    public String getNoriginalcurtaxnetprice() {
        return noriginalcurtaxnetprice;
    }

    public void setNoriginalcurtaxnetprice(String noriginalcurtaxnetprice) {
        this.noriginalcurtaxnetprice = noriginalcurtaxnetprice;
    }

    public String getNoriginalcurdiscountmny() {
        return noriginalcurdiscountmny;
    }

    public void setNoriginalcurdiscountmny(String noriginalcurdiscountmny) {
        this.noriginalcurdiscountmny = noriginalcurdiscountmny;
    }

    public String getDconsigndate() {
        return dconsigndate;
    }

    public void setDconsigndate(String dconsigndate) {
        this.dconsigndate = dconsigndate;
    }

    public String getDdeliverdate() {
        return ddeliverdate;
    }

    public void setDdeliverdate(String ddeliverdate) {
        this.ddeliverdate = ddeliverdate;
    }

    public String getVdef18() {
        return vdef18;
    }

    public void setVdef18(String vdef18) {
        this.vdef18 = vdef18;
    }

    public String getVdef19() {
        return vdef19;
    }

    public void setVdef19(String vdef19) {
        this.vdef19 = vdef19;
    }

    public String getVdef20() {
        return vdef20;
    }

    public void setVdef20(String vdef20) {
        this.vdef20 = vdef20;
    }

    public String getCquoteunitid() {
        return cquoteunitid;
    }

    public void setCquoteunitid(String cquoteunitid) {
        this.cquoteunitid = cquoteunitid;
    }

    public String getCquoteunit_code() {
        return cquoteunit_code;
    }

    public void setCquoteunit_code(String cquoteunit_code) {
        this.cquoteunit_code = cquoteunit_code;
    }

    public String getCquoteunit_name() {
        return cquoteunit_name;
    }

    public void setCquoteunit_name(String cquoteunit_name) {
        this.cquoteunit_name = cquoteunit_name;
    }

    public String getCsaleid() {
        return csaleid;
    }

    public void setCsaleid(String csaleid) {
        this.csaleid = csaleid;
    }

    public String getCorder_bid() {
        return corder_bid;
    }

    public void setCorder_bid(String corder_bid) {
        this.corder_bid = corder_bid;
    }

    public String getCreccalbodyid() {
        return creccalbodyid;
    }

    public void setCreccalbodyid(String creccalbodyid) {
        this.creccalbodyid = creccalbodyid;
    }

    public String getReccalbody_code() {
        return reccalbody_code;
    }

    public void setReccalbody_code(String reccalbody_code) {
        this.reccalbody_code = reccalbody_code;
    }

    public String getReccalbody_name() {
        return reccalbody_name;
    }

    public void setReccalbody_name(String reccalbody_name) {
        this.reccalbody_name = reccalbody_name;
    }

    public String getCrecwareid() {
        return crecwareid;
    }

    public void setCrecwareid(String crecwareid) {
        this.crecwareid = crecwareid;
    }

    public String getRecware_code() {
        return recware_code;
    }

    public void setRecware_code(String recware_code) {
        this.recware_code = recware_code;
    }

    public String getRecware_name() {
        return recware_name;
    }

    public void setRecware_name(String recware_name) {
        this.recware_name = recware_name;
    }

    public String getNexchangeotobrate() {
        return nexchangeotobrate;
    }

    public void setNexchangeotobrate(String nexchangeotobrate) {
        this.nexchangeotobrate = nexchangeotobrate;
    }

    public String getCcurrencytypeid() {
        return ccurrencytypeid;
    }

    public void setCcurrencytypeid(String ccurrencytypeid) {
        this.ccurrencytypeid = ccurrencytypeid;
    }

    public String getCcurrencyid_code() {
        return ccurrencyid_code;
    }

    public void setCcurrencyid_code(String ccurrencyid_code) {
        this.ccurrencyid_code = ccurrencyid_code;
    }

    public String getCcurrencyid_name() {
        return ccurrencyid_name;
    }

    public void setCcurrencyid_name(String ccurrencyid_name) {
        this.ccurrencyid_name = ccurrencyid_name;
    }

    public String getCinvbasdocid() {
        return cinvbasdocid;
    }

    public void setCinvbasdocid(String cinvbasdocid) {
        this.cinvbasdocid = cinvbasdocid;
    }

    public String getCadvisecalbodyid() {
        return cadvisecalbodyid;
    }

    public void setCadvisecalbodyid(String cadvisecalbodyid) {
        this.cadvisecalbodyid = cadvisecalbodyid;
    }

    public String getAdvisecalbody_code() {
        return advisecalbody_code;
    }

    public void setAdvisecalbody_code(String advisecalbody_code) {
        this.advisecalbody_code = advisecalbody_code;
    }

    public String getAdvisecalbody_name() {
        return advisecalbody_name;
    }

    public void setAdvisecalbody_name(String advisecalbody_name) {
        this.advisecalbody_name = advisecalbody_name;
    }

    public String getCbodywarehouseid() {
        return cbodywarehouseid;
    }

    public void setCbodywarehouseid(String cbodywarehouseid) {
        this.cbodywarehouseid = cbodywarehouseid;
    }

    public String getWarehouse_code() {
        return warehouse_code;
    }

    public void setWarehouse_code(String warehouse_code) {
        this.warehouse_code = warehouse_code;
    }

    public String getWarehouse_name() {
        return warehouse_name;
    }

    public void setWarehouse_name(String warehouse_name) {
        this.warehouse_name = warehouse_name;
    }

    public String getCconsigncorpid() {
        return cconsigncorpid;
    }

    public void setCconsigncorpid(String cconsigncorpid) {
        this.cconsigncorpid = cconsigncorpid;
    }

    public String getConsigncorp_code() {
        return consigncorp_code;
    }

    public void setConsigncorp_code(String consigncorp_code) {
        this.consigncorp_code = consigncorp_code;
    }

    public String getConsigncorp_name() {
        return consigncorp_name;
    }

    public void setConsigncorp_name(String consigncorp_name) {
        this.consigncorp_name = consigncorp_name;
    }
}